Error with latest build #330

Discussion in 'Spigot Discussion' started by ramius86, Dec 18, 2012.

  1. Hi, I've started to configure the new era of my server. Yesterday I started a fresh new server and plugins, with the buil 326 all works fine.
    Today with latest build #330 now in console there's this error at startup
    Code (Text):
    14:53:37 [WARNING] Method "public Plugin loadPlugin(File, boolean)" is Deprecated, and may be removed in a future version of Bukkit
    org.bukkit.plugin.AuthorNagException:
            at org.bukkit.plugin.java.JavaPluginLoader.getClassByName(JavaPluginLoader.java:284)
            at com.earth2me.essentials.storage.BukkitConstructor.getClassForNode(BukkitConstructor.java:418)
            at org.yaml.snakeyaml.constructor.Constructor$ConstructYamlObject.getConstructor(Constructor.java:321)
            at org.yaml.snakeyaml.constructor.Constructor$ConstructYamlObject.construct(Constructor.java:331)
            at org.yaml.snakeyaml.constructor.BaseConstructor.constructObject(BaseConstructor.java:183)
            at org.yaml.snakeyaml.constructor.BaseConstructor.constructDocument(BaseConstructor.java:142)
            at org.yaml.snakeyaml.constructor.BaseConstructor.getSingleData(BaseConstructor.java:128)
            at org.yaml.snakeyaml.Yaml.loadFromReader(Yaml.java:480)
            at org.yaml.snakeyaml.Yaml.load(Yaml.java:423)
            at com.earth2me.essentials.storage.YamlStorageReader.load(YamlStorageReader.java:47)
            at com.earth2me.essentials.storage.AbstractDelayedYamlFileReader.run(AbstractDelayedYamlFileReader.java:37)
            at org.bukkit.craftbukkit.v1_4_5.scheduler.CraftTask.run(CraftTask.java:53)
            at org.bukkit.craftbukkit.v1_4_5.scheduler.CraftAsyncTask.run(CraftAsyncTask.java:53)
            at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
            at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
            at java.lang.Thread.run(Unknown Source)
     
    I haven't change anything and till yesterday all works fine.
    Any ideas?
    My plugins are Craftconomy3, WorldEdit, Vault, Multiverse-Core, PermissionsEx, mcMMO, MobArena, WorldGuard, Essentials, dynmap, Dynmap-WorldGuard, Citizens, WorldBorder, AuthMe, EssentialsSpawn, ChestShop, EssentialsChat ( all with lastest dev builds )
     
  2. md_5

    Administrator Developer

    Its just a warning though, so its fine.
     
  3. Does that to Factions as well I might add. Just downgrade to 328.